org.apache.solr.common.cloud

## Interface DistributedQueue

    public interface DistributedQueue

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `offer(byte[] data)`
`byte[]` `peek()`
`byte[]` `peek(boolean block)`
`byte[]` `peek(long wait)`
`Collection<Pair<String,byte[]>>` `peekElements(int max, long waitMillis, Predicate<String> acceptFilter)`
`byte[]` `poll()`
`byte[]` `remove()`
`void` `remove(Collection<String> paths)`
`byte[]` `take()`

### Method Detail

#### peek

    byte[] peek()
         throws Exception

Throws:
  `Exception`

#### peek

    byte[] peek(boolean block)
         throws Exception

Throws:
  `Exception`

#### peek

    byte[] peek(long wait)
         throws Exception

Throws:
  `Exception`

#### poll

    byte[] poll()
         throws Exception

Throws:
  `Exception`

#### remove

    byte[] remove()
           throws Exception

Throws:
  `Exception`

#### take

    byte[] take()
         throws Exception

Throws:
  `Exception`

#### offer

    void offer(byte[] data)
        throws Exception

Throws:
  `Exception`

#### peekElements

    Collection<Pair<String,byte[]>> peekElements(int max,
                                                 long waitMillis,
                                                 Predicate<String> acceptFilter)
                                          throws Exception

Throws:
  `Exception`

#### remove

    void remove(Collection<String> paths)
         throws Exception

Throws:
  `Exception`